Deadlock upgrading UZB1

Discussions about Z-Way software and Z-Wave technology in general
th3n3k
Posts: 8
Joined: 26 Nov 2020 15:56

Deadlock upgrading UZB1

Post by th3n3k »

Hi all,
This is my first message on this forum so I would like to introduce myself briefly: Several years ago I bought a UZB1 dongle and I've been using it without any firmware upgrade (it came up with the 5.02 one) but, facing some issues in my network probably related with SW (*) more than with the dongle itself I recently tried to upgrade the firmware.
(*) In these years I've been using DomoticZ, Jeedom, OpenHAB and Home Assistant (with default ZWave integration, MQTT+ZWave2MQTT and MQTT+OpenZWave).

So here I am. I thought I was able to understand the firmware tree with its bootloades and stuff but I've ended in a deadlock and I'm not able to move to any direction :-(
Current version:
APIVersion: 05.23 (12:28)
APIVersionMajor: 5 (12:28)
APIVersionMinor: 23 (12:28)
manufacturerId: 277 (12:28)
vendor: Z-Wave.Me (12:28)
bootloaderCRC: 29304 (12:28)
firmwareCRC: 52559 (12:28)
Only KR and JP frequencies available!! I'm in Europe!! I had EU freqs before, no idea how I reached this point :-(

In the Expert GUI I see "Update bootloader for 5.23 to 40196" option but it fails.
fw_update_gui.jpg
fw_update_gui.jpg (72.15 KiB) Viewed 395 times
Base on this:
fw_5_23.jpg
fw_5_23.jpg (29.05 KiB) Viewed 395 times
I've tried also through SSH:

Code: Select all

wget https://service.z-wave.me/expertui/uzb/UPD_bootloader_UZB500_from__05_17_to_9D04.bin
./ZMESerialUpdater serialapi_uzbupdate -d /dev/ttyACM0 -b UPD_bootloader_UZB500_from__05_17_to_9D04.bin
Process ends with no issues but from the output it seems to me the CRC isn't the expected on. And also the JP freq:

Code: Select all

          SERIAL INFO
                 VERSION:  05 17  VENDOR:  01 15

          FIRMWARE CRC
                    BOOT:  72 78      FW:  CD 4F
          MISC
                    FREQ:  JP
My thinking at that point: OK, just let's forget the bootloader upgrade and let's try to upgrade the firmware to be able to choose EU freqs again somehow. I don't understand which is the difference between the plan 5.23 firmware and the "2 channels 5.23 firmware for EU/US..." but it worth to try at least to can set the frequency to EU. But, although the GUI doesn't complain and rhe process finish, it does nothing: I can't choose EU freqs.

I tried to upload the firmware through CLI but I'm not sure what .bin select because it sounds like some typo in the information shown in the firmware tree, isn't it?
fw_5_23_typos_maybe.jpg
fw_5_23_typos_maybe.jpg (67.28 KiB) Viewed 394 times
Please, could you help me here? I just wanted to move from the original 5.2 FW to a more recent one (those with radio jam detection at least) and it seems now I'm stuck on a 5.23 (on GUI; 5.17 according CLI which is a little bit weird) with JP frequencies and I'm not able to go back nor to go forward.

Really appreciate any help or idea :-)
User avatar
PoltoS
Posts: 6106
Joined: 26 Jan 2011 19:36

Re: Deadlock upgrading UZB1

Post by PoltoS »

Please enter token "all" and use "Update bootloader for 5.23 to 40196", then "Update from 5.23 to 5.27 firmware for EU/US/RU/IN/CN/ANZ/BR"
User avatar
PoltoS
Posts: 6106
Joined: 26 Jan 2011 19:36

Re: Deadlock upgrading UZB1

Post by PoltoS »

And go to Controller Info -> Debug. Then all frequencies will be listed.
th3n3k
Posts: 8
Joined: 26 Nov 2020 15:56

Re: Deadlock upgrading UZB1

Post by th3n3k »

Thank you very much PoltoS for your support.
Unfortunately, I'm not able to achive what you suggest :-(
- Update bootloader ("Update bootloader for 5.23 to 40196") through GUI gives an error:
bootloader_upgrade_gui.png
bootloader_upgrade_gui.png (4.64 KiB) Viewed 378 times
I'm on a RPi with the latest razberry.img.zip on it

Taking a look at "/var/log/z-way-server.log" when popup appears it shows a message about wrong checksum:

Code: Select all

[2020-11-26 19:10:51.640] [D] [zway] SENDING: ( 01 04 00 F4 06 09 )
[2020-11-26 19:10:51.643] [D] [zway] RECEIVED ACK
[2020-11-26 19:10:52.861] [D] [zway] RECEIVED: ( 01 04 01 F4 01 0F )
[2020-11-26 19:10:52.862] [D] [zway] SENT ACK
[2020-11-26 19:10:52.862] [I] [zway] Job 0xf4 (Start reflashing bootloader of Z-Wave.Me firmware for 5th generation Z-Wave chip): Wrong checksum
[2020-11-26 19:10:52.863] [D] [zway] Job 0xf4 (Start reflashing bootloader of Z-Wave.Me firmware for 5th generation Z-Wave chip): fail
[2020-11-26 19:10:52.863] [I] [zway] Removing job: Start reflashing bootloader of Z-Wave.Me firmware for 5th generation Z-Wave chip
- Doing the same by CLI works but the final CRC seems not to be the desired one (9D04 if I understand it properly):

Code: Select all

pi@raspberrypi:~/ZMESerialUpdater/arm $ ./ZMESerialUpdater serialapi_uzbupdate -d /dev/ttyACM0 -b UPD_bootloader_UZB500_from__05_17_to_9D04.bin        

                                        Z-WAVE Serial API Tool
                                             Version:LWE0.9
                                             by Z-WAVE>ME


-->
-->
-->
-->
-->
Device ready in:7.05837702751 seconds
          BOOTLODER
Openning port                            ..............................                            OK
Writing NVM data                         ..............................                            OK
Waiting for Boot reflashing              ..............................                            OK
-->
-->
-->
-->
-->
-->
Device ready in:7.69106006622 seconds
          FULL INFO
Openning port                            ..............................                            OK


          SERIAL INFO
                 VERSION:  05 17  VENDOR:  01 15

...

          FIRMWARE CRC
                    BOOT:  72 78      FW:  6B 8C
          MISC
                    FREQ:  JP
And doing that, in the graphical GUI still remains the same options as before. Meaning, no option for "Update from 5.23 to 5.27 firmware for EU/US/RU/IN/CN/ANZ/BR" at all
fw_options_after_bootloader_upgrade.png
fw_options_after_bootloader_upgrade.png (25.28 KiB) Viewed 378 times
What am I doing wrong here? Why bootloader upgrade doesn't work on GUI (I've read some threads saying to try the CLI but I've already done with no success apparently).

Thank you in advance
Last edited by th3n3k on 26 Nov 2020 22:12, edited 1 time in total.
User avatar
PoltoS
Posts: 6106
Joined: 26 Jan 2011 19:36

Re: Deadlock upgrading UZB1

Post by PoltoS »

Upgrade to v3.1.1 first, please
th3n3k
Posts: 8
Joined: 26 Nov 2020 15:56

Re: Deadlock upgrading UZB1

Post by th3n3k »

Thank you PoltoS and sorry for the question but, how can I do that?
I downloaded yesterday the https://razberry.z-wave.me/z-way-server ... ry.img.zip image and I thought it was already the 3.1.1.
Now you've said that, I've seen into the GUI it is 3.0.1 + 1.10.1 so I thought maybe running a "apt-get update && apt-get upgrade" could do the trick but it doesn't:

Code: Select all

pi@raspberrypi:/opt $ sudo apt-get update
Get:1 http://archive.raspberrypi.org/debian buster InRelease [32.6 kB]
Get:2 http://raspbian.raspberrypi.org/raspbian buster InRelease [15.0 kB]
Get:3 https://repo.z-wave.me/z-way/raspbian buster InRelease [1,809 B]
Get:4 http://raspbian.raspberrypi.org/raspbian buster/main armhf Packages [13.0 MB]
Get:5 http://archive.raspberrypi.org/debian buster/main armhf Packages [336 kB]
Err:3 https://repo.z-wave.me/z-way/raspbian buster InRelease
  The following signatures were invalid: EXPKEYSIG E5958C31C0AFD761 Z-Wave.Me <info@z-wave.me>
Get:6 http://raspbian.raspberrypi.org/raspbian buster/contrib armhf Packages [58.7 kB]
Get:7 http://raspbian.raspberrypi.org/raspbian buster/non-free armhf Packages [104 kB]
Fetched 13.6 MB in 22s (614 kB/s)
Reading package lists... Done
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: https://repo.z-wave.me/z-way/raspbian buster InRelease: The following signatures were invalid: EXPKEYSIG E5958C31C0AFD761 Z-Wave.Me <info@z-wave.me>
W: Failed to fetch https://repo.z-wave.me/z-way/raspbian/dists/buster/InRelease  The following signatures were invalid: EXPKEYSIG E5958C31C0AFD761 Z-Wave.Me <info@z-wave.me>
W: Some index files failed to download. They have been ignored, or old ones used instead.
Which should be the right approach for its update?

Thank you in advance
User avatar
PoltoS
Posts: 6106
Joined: 26 Jan 2011 19:36

Re: Deadlock upgrading UZB1

Post by PoltoS »

wget -q -O - https://storage.z-wave.me/RaspbianInstall | sudo bash
to fix the key and upgrade
th3n3k
Posts: 8
Joined: 26 Nov 2020 15:56

Re: Deadlock upgrading UZB1

Post by th3n3k »

Thank you!
It has been updated to 3.1.1 (RPi has been restarted after that):
version.png
version.png (12.88 KiB) Viewed 369 times
Edited (yesterday no upgrade options appear in the GUI but today they appear again). Unfortunately the upgrade didn't do the trick because same error appear:
same_error.PNG
same_error.PNG (32.75 KiB) Viewed 339 times
The controller info:
system_info_today.PNG
system_info_today.PNG (15.77 KiB) Viewed 339 times
No chance to modify the frequency to the EU one on its current dongle status:
freq.png
freq.png (8.09 KiB) Viewed 369 times
Any further idea of what can I do or what could be happening?

Really appreciate your support
th3n3k
Posts: 8
Joined: 26 Nov 2020 15:56

Re: Deadlock upgrading UZB1

Post by th3n3k »

I've been doing more research on this.
It seems the issue I've dealing off is exactly the same it was discussed one/two years ago at https://forum.z-wave.me/viewtopic.php?f=3419&t=26429
But it hasn't a solution :-(

The bootloader CRC shown at https://forum.z-wave.me/viewtopic.php?p=79816#p79816 is exactly the same I have.
So I've tried the "sudo chmod 666 /dev/ttyACM0" suggested command with no success.
Other user commented he could do the upgrade with the CLI tool but I'm not having such luck: process ends OK but the final CRC isn't the expected and new firmware won't be installed either.

Now I have bootloader CRC = 29304 = 7278 so I know what I must perform is (https://forum.z-wave.me/viewtopic.php?p=86933#p86933)
1) upgrade bootloader to 40196: UPD_bootloader_UZB500_from__05_17_to_9D04.bin
2) upgrade firmware to 5.27: UPD_FIRMWARE_UZB_STATIC_2ch_ZME_05_17_04000001_ZME_05_1b_04000001.bin
3) upgrade firmware to 5.36: UPD_FIRMWARE_UZB_STATIC_2ch_ZME_05_1b_04000001_ZME_05_24_04000001.bin

But step 1 isn't working at all (RPi + latest zway server 3.1.1 as suggested by PoltoS) due to the "Wrong checksum" error.
How you guys solved this at the end?

UPDATE 1: Tested on Ubuntu on x86 platform. As root to avoid /dev/ttyACM0 to be sure there won't be any permission issue. No improvements at all.
Since CLI everything seems to be ok too but the real thing is nothing is upgraded: Boot CRC remains the same (not the 9D04) and FW version remains too unchanged.

Code: Select all

root@ubuntu:/home/ubuntu/ZMESerialUpdater/x64# ./ZMESerialUpdater serialapi_uzbupdate -d /dev/ttyACM0 -b UPD_bootloader_UZB500_from__05_17_to_9D04.bin -f UPD_FIRMWARE_UZB_STATIC_2ch_ZME_05_17_04000001_ZME_05_1b_04000001.bin


					Z-WAVE Serial API Tool
					     Version:LWE0.9
					     by Z-WAVE>ME


-->
Device ready in:3.01003408432 seconds
          BOOTLODER
Openning port                            ..............................                            OK
Writing NVM data                         ..............................                            OK
Waiting for Boot reflashing              ..............................                            OK
-->
Device ready in:3.01016116142 seconds
          FIRMWARE
Openning port                            ..............................                            OK
Writing NVM data                         ..............................                            OK
Setting update flag                      ..............................                            OK
Reseting chip                            ..............................                            OK
Waiting for FW reflashing                ..............................                            OK
-->
-->
-->
-->
-->
-->
-->
-->
Device ready in:12.5235760212 seconds
          FULL INFO
Openning port                            ..............................                            OK


          SERIAL INFO 
		 VERSION:  05 17  VENDOR:  01 15

          ZME_CAPABILITIES 
		     UID:  BD 8E F0 59 1C 3A F0 76 63 E6 3F 34 14 AC CD 27 
		  VENDOR:  00 00   NODES: FF 
		   FLAGS:  05 00 00 00 00 00 00 00 00 00 00 00 00

          FIRMWARE CRC
		    BOOT:  72 78      FW:  6B 8C
          MISC 
		    FREQ:  JP 
           
          				 NVR Content
          -------------------------------------------------------------------------------------------- 
          Prog/erase lock :  FF FF FF FF FF FF FF FF, Read back lock: FF
          Rev 01, Cal 80, TXCal  16 12, SAW  0D 3C DE 05, Pin 01, CRC  EF EF
          NMV: CS 15, TYPE 02, SIZE  01 00, PSIZE  00 80 (EEPROM Unknown)
          USB: VID  FF FF, PID  FF FF, UUID  12 34 56 78 90 12 34 56 78 90 12 34 56 78 90 12
          -------------------------------------------------------------------------------------------- 
          FACTORY ID: WEEK 255, YEAR 255, CHIP  FF FF, SER  FF FF, WS 255, HWREV: FF FF, CRC8 FF
           
          elapsed 62.1605529785 seconds
UPDATE 2: Tested on Windows 10. No upgrade is able to be performed. It appears the same "Unable to update data. /ZWave.zway/ZMEBootloaderUpgrade" message at GUI (3.1.1 + 1.11.1; Build date = 16-09-2020 01:08:41)

Thank you
User avatar
PoltoS
Posts: 6106
Joined: 26 Jan 2011 19:36

Re: Deadlock upgrading UZB1

Post by PoltoS »

Please insert it in Raspberry Pi and provide us remote support access: remote id + pi password. We will check it.
Post Reply